## milter-greylist 4.1.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.79.2.12 2006/11/20 20:51:36 manu Exp $
+# $Id: Makefile,v 1.122 2009/02/09 12:12:09 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus
@@ -29,13 +29,14 @@
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
-CFLAGS= 	-g -O2 -Wall -D_BSD_SOURCE
-LDFLAGS=	
+CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -D_BSD_SOURCE -I${SRCDIR} -I. 
+LDFLAGS=	 -L/usr/pkg/lib -Wl,--rpath=/usr/pkg/lib
 LIBS= 		 -lpthread -lresolv -lmilter
 prefix=		/usr/local
 exec_prefix=	${prefix}
 SYSCONFDIR=	${prefix}/etc
 LOCALSTATEDIR=	${prefix}/var
+SRCDIR=		.
 BINDIR=		${exec_prefix}/bin
 SBINDIR=        ${exec_prefix}/sbin
 MANDIR=		${prefix}/man
@@ -53,10 +54,15 @@
 TRUE=		true
 
 OBJ= 		milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o \
-		conf_yacc.o dump_yacc.o conf.o autowhite.o dump.o spf.o acl.o
-SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c \
-		autowhite.c dump.c spf.c acl.c dnsrbl.c list.c
-GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c 
+		conf_yacc.o dump_yacc.o conf.o autowhite.o dump.o spf.o \
+		acl.o urlcheck.o stat.o clock.o geoip.o fd_pool.o prop.o \
+		ldapcheck.o dkimcheck.o p0f.o spamd.o
+SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c stat.c \
+		clock.c autowhite.c dump.c spf.c acl.c dnsrbl.c list.c \
+		urlcheck.c geoip.c prop.c ldapcheck.c dkimcheck.c p0f.c spamd.c
+GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c  
+
+VPATH=		${SRCDIR}
 
 all:		milter-greylist rc-bsd.sh rc-redhat.sh \
 		rc-solaris.sh rc-debian.sh rc-gentoo.sh rc-suse.sh
@@ -71,17 +77,17 @@
 sed_subst = "s|@BINDIR[@]|${BINDIR}|g; s|@SBINDIR[@]|${SBINDIR}|g; s|@USER[@]|${USER}|g"
 
 rc-bsd.sh:      rc-bsd.sh.in
-	${SED} ${sed_subst} rc-bsd.sh.in > rc-bsd.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-bsd.sh.in > rc-bsd.sh
 rc-redhat.sh:    rc-redhat.sh.in
-	${SED} ${sed_subst} rc-redhat.sh.in > rc-redhat.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-redhat.sh.in > rc-redhat.sh
 rc-solaris.sh:    rc-solaris.sh.in
-	${SED} ${sed_subst} rc-solaris.sh.in > rc-solaris.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-solaris.sh.in > rc-solaris.sh
 rc-debian.sh:    rc-debian.sh.in
-	${SED} ${sed_subst} rc-debian.sh.in > rc-debian.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-debian.sh.in > rc-debian.sh
 rc-gentoo.sh:    rc-gentoo.sh.in
-	${SED} ${sed_subst} rc-gentoo.sh.in > rc-gentoo.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-gentoo.sh.in > rc-gentoo.sh
 rc-suse.sh:	 rc-suse.sh.in
-	${SED} ${sed_subst} rc-suse.sh.in > rc-suse.sh
+	${SED} ${sed_subst} ${SRCDIR}/rc-suse.sh.in > rc-suse.sh
 
 install-daemon-to-bin: milter-greylist
 	${INSTALL} -d -m 755 ${DESTDIR}${BINDIR}
@@ -94,14 +100,14 @@
 install-man:
 	${INSTALL} -d -m 755 ${DESTDIR}${MANDIR}/man8
 	${INSTALL} -d -m 755 ${DESTDIR}${MANDIR}/man5
-	${INSTALL} -m 644 milter-greylist.8 ${DESTDIR}${MANDIR}/man8
-	${INSTALL} -m 644 greylist.conf.5 ${DESTDIR}${MANDIR}/man5
+	${INSTALL} -m 644 ${SRCDIR}/milter-greylist.8 ${DESTDIR}${MANDIR}/man8
+	${INSTALL} -m 644 ${SRCDIR}/greylist.conf.5 ${DESTDIR}${MANDIR}/man5
 
 install-conf:
-	${INSTALL} -d -m 755 ${DESTDIR}${SYSCONFDIR}/mail
-	${TEST} -f ${DESTDIR}${SYSCONFDIR}/mail/greylist.conf -o 	\
-		-f ${DESTDIR}${SYSCONFDIR}/mail/greylist.except || 	\
-	     ${INSTALL} -m 644 greylist.conf ${DESTDIR}${SYSCONFDIR}/mail
+	${INSTALL} -d -m 755 ${DESTDIR}/etc/mail
+	${TEST} -f ${DESTDIR}/etc/mail/greylist.conf -o 	\
+		-f ${DESTDIR}/etc/mail/greylist.except || 	\
+	     ${INSTALL} -m 644 ${SRCDIR}/greylist.conf ${DESTDIR}/etc/mail
 	@${TEST} -f ${DESTDIR}/etc/mail/greylist.except && (	 	   \
 		echo "	================================================"; \
 		echo "	 WARNING: the config file name has changed,     "; \
@@ -111,9 +117,8 @@
 	) || ${TRUE}
 
 install-db:
-	${INSTALL} -d -m 755 -o ${USER} \
-		${DESTDIR}${LOCALSTATEDIR}/milter-greylist
-	@${TEST} -f ${DESTDIR}/var/db/greylist.db && (		 	   \
+	${INSTALL} -d -m 755 -o ${USER} ${DESTDIR}/var/milter-greylist
+	@${TEST} -f ${DESTDIR}/var/db/greylist.db && (			 	   \
 		echo "	================================================"; \
 		echo "	  WARNING: the dump file location has changed,  "; \
 		echo "	  Please move /var/db/greylist.db, the default  "; \
@@ -124,7 +129,7 @@
 install: install-daemon-to-bin install-man install-conf install-db
 
 depend:
-	${MKDEP} ${CFLAGS} ${SRC}
+	${MKDEP} ${CPPFLAGS} ${CFLAGS} ${SRC}
 
 clean:
 	${RM} -f milter-greylist ${OBJ} ${GENSRC} \
