=== debian/changelog ===
milter-greylist (4.3.7-1) unstable; urgency=low

  * New upstream release

 -- Paul Martin <pm@debian.org>  Sat, 15 May 2010 13:11:03 +0100

milter-greylist (4.3.5-3) unstable; urgency=low

  * Revert back to 4.3.5-1 code and put on a brown paper bag.
    The changes don't work.

 -- Paul Martin <pm@debian.org>  Wed, 17 Mar 2010 01:59:59 +0000

milter-greylist (4.3.5-2) unstable; urgency=low

  * Updated patches:
    + patches/greylist.conf: Make the init script parse the config file
      to find out which user it runs as.
    + patches/rc-debian.socket: ditto.
      This prevents the confusion of two files specifying what the socket
      file and user should be. Also removed from defaults. (Closes: 554239)

 -- Paul Martin <pm@debian.org>  Mon, 15 Mar 2010 21:10:19 +0000

milter-greylist (4.3.5-1) unstable; urgency=low

  * New upstream release
  * Switch to dpkg-source 3.0 (quilt) format
  * Add DEP-3 tags to all patches.
  * Update to Debian Policy 3.8.4 (no changes)
  * New patch:
    + patches/573936-dump_lex: Fixes parsing a dump with some awkward 
      non-RFC822 email addresses. (Closes: #573936)
  * Updated patch:
    + patches/greylist.conf: Document what to do for Postfix use.
      (Closes: #554239)

 -- Paul Martin <pm@debian.org>  Mon, 15 Mar 2010 14:57:28 +0000

milter-greylist (4.3.4-2) unstable; urgency=low

  * debian/control: change Recommends to "sendmail | postfix".
    (Closes: #552539)

 -- Paul Martin <pm@debian.org>  Tue, 27 Oct 2009 15:11:44 +0000

milter-greylist (4.3.4-1) unstable; urgency=low

  * New upstream release
    + patches/initfile.syntaxerror removed (applied upstream) 
  * Bump standards version to 3.8.3
    + add debian/README.source
    + debian/milter-greylist.files: don't store /var/run/milter-greylist
      in package. It's created at boot time.
  * New patch:
    + patches/initfile.mountall: LSB INIT INFO should depend on $local_fs
      rather than mountall.

 -- Paul Martin <pm@debian.org>  Tue, 06 Oct 2009 19:48:58 +0100

milter-greylist (4.2~b1-1) unstable; urgency=low

  * New upstream release (stable release candidate)
    - Changes permissions on the dumpfile to 600. (We had 644 before, 
      with upstream having 755.)
  * Add Homepage to debian/control

 -- Paul Martin <pm@debian.org>  Sat, 21 Feb 2009 22:16:04 +0000

milter-greylist (4.1.12-1) unstable; urgency=low

  * New upstream release
  * Change initscript to create a sendmail-friendly directory for
    /var/run/milter-greylist if we're running on a tempfs.
    (Closes: #508122) This is also a fix for ubuntu bug #226267.
  * Lintian warning fix: refer to GPLv2 for packaging.

 -- Paul Martin <pm@debian.org>  Mon, 16 Feb 2009 17:54:25 +0000

milter-greylist (4.1.8-2) unstable; urgency=low

  * Added logcheck ignore file. Thanks to Kim Holviala. (Closes: #508824)

 -- Paul Martin <pm@debian.org>  Wed, 17 Dec 2008 12:14:55 +0000

milter-greylist (4.1.8-1) unstable; urgency=low

  * New upstream release
  * Correct some lintian warnings:
    + debhelper-but-no-misc-depends milter-greylist
    + quilt-patch-missing-description
  * Upload to unstable.

 -- Paul Martin <pm@debian.org>  Thu, 04 Dec 2008 12:34:10 +0000

milter-greylist (4.1.7-2) experimental; urgency=low

  * Change the default dumpfreq timing from 1 second to 10 minutes.
  * Change the default permissions on the dump from 755 to 644.
  * Add greylist.conf and greylist2.conf to examples.

 -- Paul Martin <pm@debian.org>  Thu, 04 Dec 2008 12:01:49 +0000

milter-greylist (4.1.7-1) experimental; urgency=low

  * New maintainer (Closes: #470188)
  * New upstream release
    + Changes SPF support (Closes: #445841)
    + DOPTIONS set in init script after reading defaults file
      (Closes: #495811, #465260)
    + init script understands reload (Closes: #470195)
  * Convert to cdbs and quilt.
  * Change configure call so that it doesn't build with rpath.
  * Fix /etc/default/milter-greylist for spelling mistake and wrong 
    configuration file path. (Closes: #460314)
  * DNSRBL support enabled. (Closes: #449557)
  * Update debian/watch file.

 -- Paul Martin <pm@debian.org>  Sun, 23 Nov 2008 18:59:55 +0000

milter-greylist (3.0-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix configure call so that no unsafe rpath is added to the
    binaries (closes: #495789)

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 14 Sep 2008 00:51:28 +0200

milter-greylist (3.0-3) unstable; urgency=low

  [ Elrond ]
  * Remove patch to configure after talking to Cord
  * Fix new location of libmilter.so by also searching in
    /usr/lib/milter for it (closes: #423969)

  [ Cord Beermann ]
  * fixed lintian 'debian-rules-ignores-make-clean-error'
  * leaving the 'binary-or-shlib-defines-rpath'. it is needed to fix the
    libmilter problem above. (Yes, there must be a better solution)

 -- Cord Beermann <cord@debian.org>  Sat, 07 Jul 2007 23:26:14 +0200

milter-greylist (3.0-2) unstable; urgency=low

  * adding missing Build-dependency libspf2-dev (closes: #406859)
  * set priority to extra, because libmilter0 is also extra and we 
    depend on it.

 -- Cord Beermann <cord@debian.org>  Wed,  3 Jan 2007 23:41:25 +0100

milter-greylist (3.0-1) unstable; urgency=low

  * Initial official release (Closes: #264192)

 -- Cord Beermann <cord@debian.org>  Sat, 30 Dec 2006 16:17:08 +0100

milter-greylist (2.0b7-0) unstable; urgency=low

  * Ported to 2.0b7, which contains Elronds "fixes".

 -- Elrond <elrond+debian.org@samba-tng.org>  Wed, 11 May 2005 17:26:37 +0200

milter-greylist (2.0b5-0) unstable; urgency=low

  * Initial

 -- Elrond <elrond+debian.org@samba-tng.org>  Thu, 21 Apr 2005 15:16:49 +0200
