=== debian/control ===
Source: milter-greylist
Section: mail
Priority: extra
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: cdbs (>= 0.4.52), quilt, debhelper (>= 7), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
Standards-Version: 3.8.4

Package: milter-greylist
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11)
Recommends: sendmail | postfix
Homepage: http://hcpnet.free.fr/milter-greylist/
Description: Greylist milter for sendmail
 milter-greylist is a stand-alone milter written in C that implements the
 greylist filtering method, as proposed by Evan Harris.
 .
 Greylisting works by assuming that unlike legitimate MTA, spam engines will
 not retry sending their junk mail on a temporary error. The filter will
 always temporarily reject mail on a first attempt, and to accept it after
 some time has elapsed.
 .
 If spammers ever try to resend rejected messages, we can assume they will not
 stay idle between the two sends (if they do, the spam problem would just be
 solved). Odds are good that the spammer will send a mail to an honey pot
 address and get blacklisted in several real-time distributed black list
 before the second attempt.
