=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_MAKE_CLEAN_TARGET=realclean

DEB_MAKE_INSTALL_TARGET=DESTDIR=$(CURDIR)/debian/milter-greylist \
	install-sbin install-man

DEB_CONFIGURE_EXTRA_FLAGS= \
	--with-user=greylist \
	--sysconfdir=/etc/milter-greylist \
	--with-conffile=/etc/milter-greylist/greylist.conf \
	--with-dumpfile=/var/lib/milter-greylist/greylist.db \
	--with-libspf2=/usr \
	--with-libmilter=/usr \
	--enable-dnsrbl \
	--disable-rpath

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter "

install/milter-greylist::
	cp rc-debian.sh debian/milter-greylist.init

clean::
	rm -f debian/milter-greylist.init

	# The following keeps lintian happy
	rm -f milter-greylist.spec
