=== debian/changelog ===
milter-greylist (4.3.8-1) unstable; urgency=low

  * New upstream release
  * Updated standards version to 3.9.1 (no changes)
  * Update debian/copyright to fix lintian warning
    copyright-refers-to-deprecated-bsd-license-file

 -- Paul Martin <pm@debian.org>  Mon, 11 Oct 2010 12:23:39 +0100
