=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Paul Martin <pm@debian.org>
 Build-Depends: cdbs (>= 0.4.52), quilt, debhelper (>= 7), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: milter-greylist
 Architecture: any
