=== debian/changelog ===
milter-greylist (4.3.9-1) unstable; urgency=low

  * New upstream release
  * Refreshed patch:
    + patches/m4.socket-options
  * Convert from cdbs to dh.
  * Build with -fno-strict-aliasing as the source uses type punned pointers
  * Updated standards version to 3.9.2 (no changes)

 -- Paul Martin <pm@debian.org>  Wed, 22 Jun 2011 14:20:18 +0100
