=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: extra
 Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: cdbs (>= 0.4.52), quilt, debhelper (>= 7), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
-Standards-Version: 3.9.1
+Build-Depends: quilt, debhelper (>= 8), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
+Standards-Version: 3.9.2
 
 Package: milter-greylist
 Architecture: any
