=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with quilt,autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- \
	--with-user=greylist \
	--sysconfdir=/etc/milter-greylist \
	--with-conffile=/etc/milter-greylist/greylist.conf \
	--with-dumpfile=/var/lib/milter-greylist/greylist.db \
	--with-libspf2=/usr \
	--with-libmilter=/usr \
	--enable-dnsrbl \
	--disable-rpath \
	LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter " \
	CFLAGS=" -fno-strict-aliasing "
	
override_dh_auto_install:
	cp rc-debian.sh debian/milter-greylist.init
	DESTDIR=$(CURDIR)/debian/milter-greylist make install-sbin install-man

override_dh_auto_clean:
	dh_auto_clean

	rm -f debian/milter-greylist.init

	# The following keeps lintian happy
	rm -f milter-greylist.spec
