## milter-greylist 4.5.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.134 2011/04/13 01:41:45 manu Exp $
+# $Id: Makefile,v 1.159 2014/02/21 08:11:44 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus
@@ -29,7 +29,7 @@
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
-CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -DHAVE_DATA_CALLBACK -DCONFFILE=\"${CONFFILE}\" -DDUMPFILE=\"${DUMPFILE}\" -D_BSD_SOURCE -I${SRCDIR} -I. 
+CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -DHAVE_DATA_CALLBACK -DCONFFILE=\"${CONFFILE}\" -DDUMPFILE=\"${DUMPFILE}\" -D_BSD_SOURCE -I. -I${SRCDIR} 
 LDFLAGS=	 -L/usr/pkg/lib -Wl,--rpath=/usr/pkg/lib
 LIBS= 		 -lpthread -lresolv -lmilter
 prefix=		/usr/local
@@ -45,6 +45,9 @@
 CONFFILE=       ${SYSCONFDIR}/mail/greylist.conf
 DUMPFILE=       ${LOCALSTATEDIR}/milter-greylist/greylist.db
 
+# If your make complains about -j, try --disable-parallel-make
+MAKESEQ=        $(MAKE) -j 1
+
 CC=		gcc
 MKDEP=		mkdep
 RM=		rm
@@ -55,15 +58,18 @@
 LEX=		flex
 YACC=		yacc
 TRUE=		true
+TOUCH=		touch
 
 OBJ= 		milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o \
-		conf_yacc.o dump_yacc.o conf.o store.o dump.o spf.o \
-		acl.o urlcheck.o stat.o clock.o geoip.o fd_pool.o prop.o \
-		ldapcheck.o dkimcheck.o p0f.o spamd.o mx.o ratelimit.o
+		conf.o store.o dump.o spf.o acl.o urlcheck.o stat.o clock.o \
+		geoip.o fd_pool.o prop.o ldapcheck.o dkimcheck.o p0f.o \
+		spamd.o mx.o ratelimit.o nsupdate.o brokenmfapi.o
+OBJ_SEQ=	conf_yacc.o dump_yacc.o
+OBJ_SEQ_FLAG=	.objseq-built
 SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c stat.c \
 		clock.c store.c dump.c spf.c acl.c dnsrbl.c list.c \
 		urlcheck.c geoip.c prop.c ldapcheck.c dkimcheck.c p0f.c \
-		spamd.c mx.c ratelimit.c
+		spamd.c mx.c ratelimit.c nsupdate.c brokenmfapi.c
 GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c
 
 VPATH=		${SRCDIR}
@@ -71,8 +77,27 @@
 all:		milter-greylist rc-bsd.sh rc-redhat.sh \
 		rc-solaris.sh rc-debian.sh rc-gentoo.sh rc-suse.sh
 
-milter-greylist:	${OBJ}
-	${CC} -o milter-greylist ${OBJ} ${LDFLAGS} ${LIBS}
+# GNU make: targets which are not expected to produce same-named files
+.PHONY:		bld-milter-greylist obj-seq bld-seq all-seq
+
+milter-greylist:	${OBJ} ${OBJ_SEQ_FLAG}
+	@echo "=== Linking $@:"
+	${CC} -o $@ ${OBJ} ${OBJ_SEQ} ${LDFLAGS} ${LIBS}
+
+# The idea is that a successful obj-seq build would produce the flag-file,
+# thus "milter-greylist"'s verifiable dependencies are satisfied and the
+# binary is not relinked on every make run. However, code updates that can
+# cause rebuilds of ${OBJ_SEQ} files might require a "gmake rebuild" now.
+${OBJ_SEQ_FLAG}:	obj-seq
+	sync || $(TRUE)
+
+all-seq:	obj-seq
+obj-seq:
+	@echo "=== Call make sequential for objects sensitive to that (current make='$(MAKE)' MAKEFLAGS='$(MAKEFLAGS)'):"
+	$(MAKESEQ) bld-seq
+
+bld-seq:	${OBJ_SEQ}
+	$(TEST) -f ${OBJ_SEQ_FLAG} || $(TOUCH) ${OBJ_SEQ_FLAG}
 
 sync_yacc.o:	sync_yacc.c sync_lex.c
 conf_yacc.o:	conf_yacc.c conf_lex.c
@@ -81,17 +106,17 @@
 sed_subst = "s|@BINDIR[@]|${BINDIR}|g; s|@SBINDIR[@]|${SBINDIR}|g; s|@USER[@]|${USER}|g"
 
 rc-bsd.sh:      rc-bsd.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-bsd.sh.in > rc-bsd.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-redhat.sh:    rc-redhat.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-redhat.sh.in > rc-redhat.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-solaris.sh:    rc-solaris.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-solaris.sh.in > rc-solaris.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-debian.sh:    rc-debian.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-debian.sh.in > rc-debian.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-gentoo.sh:    rc-gentoo.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-gentoo.sh.in > rc-gentoo.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 rc-suse.sh:	 rc-suse.sh.in
-	${SED} ${sed_subst} ${SRCDIR}/rc-suse.sh.in > rc-suse.sh
+	${SED} ${sed_subst} ${SRCDIR}/$< > $@
 
 install-daemon-to-bin: milter-greylist
 	${INSTALL} -d -m 755 ${DESTDIR}${BINDIR}
@@ -136,13 +161,26 @@
 	${MKDEP} ${CPPFLAGS} ${CFLAGS} ${SRC}
 
 clean:
-	${RM} -f milter-greylist ${OBJ} ${GENSRC} \
-	rc-redhat.sh rc-bsd.sh rc-solaris.sh rc-debian.sh rc-gentoo.sh \
-	rc-suse.sh
+	${RM} -f milter-greylist ${OBJ} ${OBJ_SEQ} ${OBJ_SEQ_FLAG} ${GENSRC} \
+		rc-redhat.sh rc-bsd.sh rc-solaris.sh rc-debian.sh rc-gentoo.sh \
+		rc-suse.sh y.tab.c
+	sync || $(TRUE)
 
 realclean:	clean
 	${RM} -Rf Makefile config.h config.log config.status \
 		 autom4te.cache configure.lineno *.orig *.bak autoscan.log
+	sync || $(TRUE)
+
+distclean:	realclean
+
+rebuild:	clean
+	@echo "=== Making all. MAKEFLAGS=$(MAKEFLAGS)"
+	@$(MAKE) all || ( \
+		echo "==============================================================="; \
+		echo "=== First build failed. Making all sequentially just in case..."; \
+		echo "==============================================================="; \
+		sync || $(TRUE); \
+		$(MAKESEQ) all )
 
 .SUFFIXES:	.o .c .h .y .l
 .l.c:
