=== debian/changelog ===
milter-greylist (4.5.11-1build1) vivid; urgency=medium

  * No change rebuild for libopendkim10 transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 25 Feb 2015 16:51:21 -0500

milter-greylist (4.5.11-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper compat level to 9.
  * Build against libcurl (Closes: #637441)
  * Build against libopendkim (Closes: #562960)
  * Build against libgeoip (Closes: #634903)
  * New patch:
    + patches/initfile.lsb: Add lsb/init-functions to init script.
      (Helps: #739465)
    + patches/initfile.nosudo: Remove dependency on sudo by using su instead.
      (Closes: #747634)
  * Updated standards version to 3.9.5 (no changes)

 -- Paul Martin <pm@debian.org>  Sun, 03 Aug 2014 11:46:16 +0100
