=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: mail
 Priority: extra
 Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: quilt, debhelper (>= 8), autotools-dev, libmilter-dev, bison, flex, libspf2-dev
-Standards-Version: 3.9.2
+Build-Depends: quilt, debhelper (>= 9), autotools-dev, libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev, libgeoip-dev
+Standards-Version: 3.9.5
 
 Package: milter-greylist
 Architecture: any
