=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with quilt,autotools_dev
+	dh $@ --with autotools_dev
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -9,11 +9,14 @@
 	--with-conffile=/etc/milter-greylist/greylist.conf \
 	--with-dumpfile=/var/lib/milter-greylist/greylist.db \
 	--with-libspf2=/usr \
+	--with-libcurl=/usr \
 	--with-libmilter=/usr \
+	--with-libopendkim=/usr \
+	--with-libGeoIP=/usr \
 	--enable-dnsrbl \
 	--disable-rpath \
-	LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter " \
-	CFLAGS=" -fno-strict-aliasing "
+	LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter $(LDFLAGS) " \
+	CFLAGS=" -fno-strict-aliasing $(CFLAGS) "
 	
 override_dh_auto_install:
 	cp rc-debian.sh debian/milter-greylist.init
@@ -26,3 +29,6 @@
 
 	# The following keeps lintian happy
 	rm -f milter-greylist.spec
+
+	# Sometimes autoconf doesn't clean up after itself
+	rm -f config.log
