=== debian/changelog ===
milter-greylist (4.6.2-1) unstable; urgency=medium

  * QA upload.
  * Update to v4.6.2 (Closes: #881154)
  * Add dependency on lsb-base.
  * Disable init.d script using dh_installinit.
    - Ref. Debian Policy Manual section 9.3.3.1
  * Use proper home with adduser.
  * Orphan the package (See: #889305)
  * Update compat level to 12.
  * Remove dependency on autotools-dev and quilt.
  * Update Standards-Version to 4.4.1
    - Change priority to optional.
  * Add dependency on init-system-helpers.
  * Add predends on misc.
  * Maintainer script should not use recursive chown.
  * Add commented patch file in series.
  * Add vcs link to salsa.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 24 Jan 2020 22:35:02 +0000

milter-greylist (4.5.11-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build --with-libbind and add libbind-dev to build-depends to build with
    thread safe resolver (Closes: #808669)
  * Use _DEFAULT_SOURCE instead of _BSD_SOURCE in Makefile/configure to fix
    FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Oct 2016 17:07:47 -0400
