=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: milter-greylist
 Section: mail
-Priority: extra
-Maintainer: Paul Martin <pm@debian.org>
-Build-Depends: quilt, debhelper (>= 9), autotools-dev, libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev, libgeoip-dev
-Standards-Version: 3.9.5
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper-compat (= 12), libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev, libgeoip-dev, libbind-dev
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/debian/milter-greylist.git
+Vcs-Browser: https://salsa.debian.org/debian/milter-greylist
 
 Package: milter-greylist
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11), lsb-base, init-system-helpers (>= 1.51)
 Recommends: sendmail | postfix
 Homepage: http://hcpnet.free.fr/milter-greylist/
 Description: Greylist milter for sendmail
@@ -24,4 +27,3 @@
  solved). Odds are good that the spammer will send a mail to an honey pot
  address and get blacklisted in several real-time distributed black list
  before the second attempt.
-
