=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

http://ftp.espci.fr/pub/milter-greylist/milter-greylist-([\d\.]+).tgz
