## milter-greylist 4.6.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# $Id: Makefile,v 1.169 2016/11/24 04:14:01 manu Exp $
+# $Id: Makefile.in,v 1.75 2013/09/02 03:54:35 manu Exp $
 
 #
 # Copyright (c) 2004 Emmanuel Dreyfus
@@ -29,7 +29,7 @@
 # OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 
-CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -DHAVE_DATA_CALLBACK -DCONFFILE=\"${CONFFILE}\" -DDUMPFILE=\"${DUMPFILE}\" -D_BSD_SOURCE -I. -I${SRCDIR} 
+CFLAGS= 	-g -O2 -Wall -I/usr/pkg/include -DHAVE_DATA_CALLBACK -DCONFFILE=\"${CONFFILE}\" -DDUMPFILE=\"${DUMPFILE}\" -D_BSD_SOURCE -DYY_NO_INPUT -I. -I${SRCDIR} 
 LDFLAGS=	 -L/usr/pkg/lib -Wl,--rpath=/usr/pkg/lib
 LIBS= 		 -lpthread -lresolv -lmilter
 prefix=		/usr/local
@@ -63,13 +63,13 @@
 OBJ= 		milter-greylist.o pending.o sync.o dnsrbl.o list.o macro.o \
 		conf.o store.o dump.o spf.o acl.o urlcheck.o stat.o clock.o \
 		geoip.o fd_pool.o prop.o ldapcheck.o dkimcheck.o p0f.o \
-		spamd.o mx.o ratelimit.o nsupdate.o brokenmfapi.o
+		spamd.o mx.o ratelimit.o nsupdate.o brokenmfapi.o geoip2.o
 OBJ_SEQ=	conf_yacc.o dump_yacc.o
 OBJ_SEQ_FLAG=	.objseq-built
 SRC= 		milter-greylist.c pending.c sync.c conf.c macro.c stat.c \
 		clock.c store.c dump.c spf.c acl.c dnsrbl.c list.c \
 		urlcheck.c geoip.c prop.c ldapcheck.c dkimcheck.c p0f.c \
-		spamd.c mx.c ratelimit.c nsupdate.c brokenmfapi.c
+		spamd.c mx.c ratelimit.c nsupdate.c brokenmfapi.c geoip2.c
 GENSRC=		conf_yacc.c conf_lex.c dump_yacc.c dump_lex.c
 
 VPATH=		${SRCDIR}
