=== debian/changelog ===
milter-greylist (4.6.4-5) unstable; urgency=medium

  * QA upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15
    in Milter headers. (Closes: #1097398)

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Oct 2025 14:33:04 +0300

milter-greylist (4.6.4-4) unstable; urgency=medium

  * QA upload.
  * Pre-Depend on adduser so it is available to the preinst maintscript
  * Remove version constraints satisfied in stable

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 May 2025 11:18:44 +0200

milter-greylist (4.6.4-3) unstable; urgency=medium

  * QA upload.
  * Set user greylist in the configuration file rather than as a
    command-line option in the service file (which always takes
    precedence) to allow easier customization. (Closes: #1002527)
    - debian/milter-greylist.service
    - debian/patches/greylist.conf

 -- Amin Bandali <bandali@gnu.org>  Tue, 24 Oct 2023 19:49:53 -0400

milter-greylist (4.6.4-2) unstable; urgency=medium

  [ Ondřej Surý ]
  * QA upload.
  * Disable libbind-dev and libgeoip-dev Build-Depends (Closes: #942501)

  [ Tobias Frost ]
  * Don't do a NMU on a QA upload.
  * Touch upload date.
  * Remove Depends: on obsolete lsb-base package, see it's README.Debian for
    details. This fixes lintian error depends-on-obsolete-package.
  * Thanks to Amin Bandali for triaging #942501.
  * Drop ancient d/NEWS file. 

 -- Tobias Frost <tobi@debian.org>  Sat, 14 Oct 2023 12:02:04 +0200

milter-greylist (4.6.4-1) unstable; urgency=medium

  * QA upload.
  * Add salsa ci.
  * New upstream version 4.6.4
    - Refresh patches.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 30 Aug 2021 20:27:26 +0100

milter-greylist (4.6.2-3) unstable; urgency=medium

  * QA upload.
  * Start the application as daemon with user greylist. (Closes: #979965)
  * Create the tmp file as user greylist.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 13 Jan 2021 13:19:29 +0000

milter-greylist (4.6.2-2) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in debian/watch.
  * Set Homepage field in Source rather than Binary package.
  * Update standards version to 4.5.0, no changes needed.

  [ Vagrant Cascadian ]
  * debian/patches: Adjust configure.ac to avoid embedding hostname,
    username, build time and build path in the binaries. (Closes: #978751)
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/control: Update to debhelper-compat 13.
  * debian/control: Update Standards-Version to 4.5.1.

  [ Christian Dröge ]
  * systemd support for milter-greylist (Closes: #739465)

  [ Vagrant Cascadian ]
  * debian/patches: initfile.nosudo: Fix typo in patch to use "su" instead
    of "sudo". (Closes: #784408)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 31 Dec 2020 12:42:59 -0800
