=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: mail
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12), libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev, libgeoip-dev, libbind-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), libmilter-dev, bison, flex, libspf2-dev, libcurl4-openssl-dev, libopendkim-dev, libssl-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/milter-greylist.git
 Vcs-Browser: https://salsa.debian.org/debian/milter-greylist
+Homepage: http://hcpnet.free.fr/milter-greylist/
 
 Package: milter-greylist
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.11), lsb-base, init-system-helpers (>= 1.51)
+Pre-Depends: ${misc:Pre-Depends}, adduser
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: sendmail | postfix
-Homepage: http://hcpnet.free.fr/milter-greylist/
 Description: Greylist milter for sendmail
  milter-greylist is a stand-alone milter written in C that implements the
  greylist filtering method, as proposed by Evan Harris.
