=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND = -std=gnu17
+
 %:
-	dh $@ --with autotools_dev
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -12,12 +15,11 @@
 	--with-libcurl=/usr \
 	--with-libmilter=/usr \
 	--with-libopendkim=/usr \
-	--with-libGeoIP=/usr \
 	--enable-dnsrbl \
 	--disable-rpath \
 	LDFLAGS=" -Wl,-z,defs -L/usr/lib/libmilter $(LDFLAGS) " \
 	CFLAGS=" -fno-strict-aliasing $(CFLAGS) "
-	
+
 override_dh_auto_install:
 	cp rc-debian.sh debian/milter-greylist.init
 	DESTDIR=$(CURDIR)/debian/milter-greylist make install-sbin install-man
@@ -32,3 +34,6 @@
 
 	# Sometimes autoconf doesn't clean up after itself
 	rm -f config.log
+
+override_dh_installinit:
+	dh_installinit --no-enable --no-start
