=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

https://ftp.espci.fr/pub/milter-greylist/milter-greylist-([\d\.]+).tgz
